curl --request GET \
--url https://sandbox-api.kotanipay.com/api/v3/deposit/card/{reference_id} \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "Deposit status retrieved.",
"data": {
"status": "PENDING",
"id": "5f9b2c7b9c9d6b0017b4e6b1",
"amount": 10,
"walletId": "5f9b2c7b9c9d6b0017b4e6b1",
"referenceId": "5f9b2c7b9c9d6b0017b4e6b1",
"referenceNumber": 1234567890,
"createdAt": "2026-05-05T17:28:12.325Z",
"transactionCost": 10,
"transactionAmount": 10,
"callbackUrl": "https://example.com",
"customerKey": "",
"initialDepositBalance": 10,
"finalDepositBalance": 10
}
}An integrator can use this endpoint to check the status of a deposit
curl --request GET \
--url https://sandbox-api.kotanipay.com/api/v3/deposit/card/{reference_id} \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "Deposit status retrieved.",
"data": {
"status": "PENDING",
"id": "5f9b2c7b9c9d6b0017b4e6b1",
"amount": 10,
"walletId": "5f9b2c7b9c9d6b0017b4e6b1",
"referenceId": "5f9b2c7b9c9d6b0017b4e6b1",
"referenceNumber": 1234567890,
"createdAt": "2026-05-05T17:28:12.325Z",
"transactionCost": 10,
"transactionAmount": 10,
"callbackUrl": "https://example.com",
"customerKey": "",
"initialDepositBalance": 10,
"finalDepositBalance": 10
}
}An integrator can use this endpoint to check the status of a card deposit transaction.Documentation Index
Fetch the complete documentation index at: https://developers.kotanipay.com/llms.txt
Use this file to discover all available pages before exploring further.